explain_putw_or_die(3)

NAME
explain_putw_or_die - output a word (int) and report errors

SYNOPSIS
#include <libexplain/putw.h>

void explain_putw_or_die(int value, FILE *fp);
int explain_putw_on_error(int value, FILE *fp);

DESCRIPTION
The explain_putw_or_die function is used to call the putw(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_putw(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_putw_on_error function is used to call the putw(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_putw(3) function, but still returns to the caller.

value
    The value, exactly as to be passed to the putw(3) system call.

fp  The fp, exactly as to be passed to the putw(3) system call.

RETURN VALUE
The explain_putw_or_die function only returns on success, see putw(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_putw_on_error function always returns the value return by the wrapped putw(3) system call.

EXAMPLE
The explain_putw_or_die function is intended to be used in a fashion similar to the following example:
    explain_putw_or_die(value, fp);

SEE ALSO

putw(3)
    output a word (int)

explain_putw(3)
    explain putw(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2010 Peter Miller